package com.xxfc.platform.order.biz;


import com.github.wxiaoqi.security.common.biz.BaseBiz;
import com.xxfc.platform.order.entity.OrderActivityDetail;;
import com.xxfc.platform.order.mapper.OrderActivityDetailMapper;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import tk.mybatis.mapper.entity.Example;

@Service
@Slf4j
@Api("活动订单详情")
public class OrderActivityInfoDetailBiz extends BaseBiz<OrderActivityDetailMapper, OrderActivityDetail> {


    public  OrderActivityDetail getOne(Integer orderId) {
        Example example = new Example(OrderActivityDetail.class);
        example.createCriteria().andEqualTo("orderId", orderId);
        return mapper.selectOneByExample(example);
    }

}
